using HermesSocketLibrary.Requests.Messages;

namespace HermesSocketLibrary.Socket.Data
{
    public class LoginAckMessage
    {
        public string UserId { get; set; }
        public string ProviderAccountId { get; set; }
        public string SessionId { get; set; }
        public string UserName { get; set; }
        public bool AnotherClient { get; set; }
        public long? OwnerId { get; set; }
        public bool Admin { get; set; }
        public bool WebLogin { get; set; }

        public string DefaultTTSVoice { get; set; }
        public IList<string> EnabledTTSVoices { get; set; }
        public IDictionary<string, string> TTSVoicesAvailable { get; set; }

        public IEnumerable<TTSWordFilter> WordFilters { get; set; }

        public IList<Connection> Connections { get; set; }
    }
}