namespace HermesSocketLibrary.Quests
{
    public class DailyQuest : Quest
    {
        public DailyQuest(short id, IQuestTask task, DateOnly day)
        : base(id, task, 1, day.ToDateTime(TimeOnly.MinValue), day.ToDateTime(TimeOnly.MaxValue))
        {
            Type = task.Type | QuestType.Daily;
        }
    }
}