
namespace HermesSocketLibrary.Quests
{
    public class WeeklyQuest : Quest
    {
        public WeeklyQuest(short id, IQuestTask task, DateOnly start)
        : base(id, task, 5, start.ToDateTime(TimeOnly.MinValue), start.AddDays(6).ToDateTime(TimeOnly.MaxValue))
        {
            Type = task.Type | QuestType.Weekly;
        }
    }
}